
// All Form Elements
label,
button,
input,
optgroup,
select,
textarea {
  color: white;
  font: inherit;
  margin: 0;
  border-radius: 0;
  transition: .3s all;
}

// Inputs
[type="text"],
[type="email"],
[type="password"],
[type="tel"],
[type="number"],
[type="date"],
[type="search"] {
  height: $input-height;
  padding: 8px;
  background-color: $input-background-color;
  border: $input-border-size solid $input-border-color;
  border-radius: $input-border-radius;
  &:focus {
    background-color: $input-background-focus-color;
    border-color: $input-border-focus-color;
    outline: 0;
  }
}

// Textarea
textarea {
  padding: 8px;
  background-color: $input-background-color;
  border: $input-border-size solid $input-border-color;
  border-radius: $input-border-radius;
  overflow: auto;
  &:focus {
    background-color: $input-background-focus-color;
    border-color: $input-border-focus-color;
    outline: 0;
  }
}

// Select
select {
  text-transform: none;
  height: $input-height;
  padding: 0 8px;
  background-color: $input-background-color;
  border: $input-border-size solid $input-border-color;
  border-radius: $input-border-radius;
  &:focus {
    background-color: $input-background-focus-color;
    border-color: $input-border-focus-color;
    outline: 0;
  }
}

// Buttons
button {
  border-radius: 0;
  overflow: visible;
  text-transform: none;
  cursor: pointer;
}

.disabled,
[disabled] {
  opacity: .4;
  user-select: none;
  pointer-events: none;
  cursor: not-allowed;
}

// Placeholders
::placeholder { color: $input-placeholder-color; }